html {
    background-color: #333;
    background-image: url(/favicon.png);
    background-repeat: no-repeat;
    background-size: 32px;
    background-position: bottom 10px right 10px;
    background-attachment: fixed;
}

body {
    font-family: "Comic Sans MS", sans-serif;
    color: #eee;
}

hr {
    border: 1px solid #444;
    margin-left: -10px;
    margin-right: -10px;
}

button, select {
    background: #666;
    color: #eee;
    padding: 3px 10px;
    border: 2px solid #eee;
    border-radius: 5px;
    cursor: pointer;
}

button:disabled {
    background: #333;
    border-color: #999;
    cursor: default;
}

a {
    color: #9ce;
    font-weight: bold;
    text-shadow: 0 0 1px #000;
}

a:hover {
    text-decoration: none;
    color: #adf;
}

.page-title {
    font-size: 200%;
    font-weight: bold;
}

.controls {
    display: flex;
    align-items: center;
    gap: 1em;
}

.tag-checklist {
    border: 1px solid #666;
    padding: 5px;
    margin: 5px;
}

.tag {
    border: 1px solid #555;
    border-radius: 5px;
    padding: 2px 5px;
    display: inline-block;
    background-color: #666;
}

.tag > * {
    vertical-align: middle;
}

.tag-checklist .tag {
    margin-right: 1em;
}

th.sortable {
    cursor: pointer;
    user-select: none;
}

th.sortable:hover, th.sorted {
    text-decoration: underline;
}

th {
    background-color: #444;
}

th, td {
    border: 1px solid #666;
    padding: 2px 4px;
}

.slab-layout {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5em;
}

@media (max-width: 600px) {
    .slab-layout {
        grid-template-columns: 1fr;
    }
}

.slab-thumbs {
    display: flex;
    justify-content: center;
    gap: 0.5em;
    margin-top: 0.5em;
}

.slab-thumbs img {
    cursor: pointer;
    opacity: 0.6;
}

.slab-thumbs img.selected {
    opacity: 1;
    outline: 2px solid #eee;
}

.icon-view {
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
}

.icon-view a {
    display: inline-block;
}

.subject-dropdown select {
    max-width: 250px;
}

.thumb {
    width: 150px;
    height: 150px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    background-color: #222;
}

.grader-alive-yes td {
    background-color: #363;
}

.grader-alive-no td {
    background-color: #633;
}

.grader-alive-uncertain td {
    background-color: #663
}

td.grader-owned {
    background-color: #363;
}

td.grader-unowned {
    background-color: #633;
}

.grader-domain-note {
    font-size: 50%;
    opacity: 0.5;
}

.pageButton {
    margin-right: 20px;
}

.pageButton.right {
    margin-left: 20px;
}

footer {
    margin-top: 2em;
    color: #666;
    font-size: 50%;
}

.zoomable {
    cursor: pointer;
}

dialog.modal {
    background: transparent;
    border: none;
    padding: 0;
    outline: none;
}

dialog.modal::backdrop {
    background: rgba(0, 0, 0, 0.75);
}

dialog.modal img {
    max-width: 100vw;
    max-height: 100vh;
    display: block;
}
